1

When I try to run update-manager then I receive the following error:

szymon@sm:~$ update-manager
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/defer/__init__.py", line 477, in _inline_callbacks
    result = gen.throw(result.type(result.value).with_traceback(result.traceback))
  File "/usr/lib/python3/dist-packages/UpdateManager/backend/InstallBackendAptdaemon.py", line 67, in update
    _("Checking for updates…"), False)
  File "/usr/local/lib/python3.6/dist-packages/defer/__init__.py", line 477, in _inline_callbacks
    result = gen.throw(result.type(result.value).with_traceback(result.traceback))
  File "/usr/lib/python3/dist-packages/UpdateManager/backend/InstallBackendAptdaemon.py", line 159, in _show_transaction
    yield trans.run()
dbus.exceptions.DBusException: org.freedesktop.DBus.Python.TypeError: Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/defer/__init__.py", line 477, in _inline_callbacks
    result = gen.throw(result.type(result.value).with_traceback(result.traceback))
  File "/usr/lib/python3/dist-packages/aptdaemon/core.py", line 913, in _run
    yield self._check_auth()
  File "/usr/local/lib/python3.6/dist-packages/defer/__init__.py", line 477, in _inline_callbacks
    result = gen.throw(result.type(result.value).with_traceback(result.traceback))
  File "/usr/lib/python3/dist-packages/aptdaemon/core.py", line 965, in _check_auth
    authorized = yield self._check_alternative_auth()
  File "/usr/local/lib/python3.6/dist-packages/defer/__init__.py", line 477, in _inline_callbacks
    result = gen.throw(result.type(result.value).with_traceback(result.traceback))
TypeError: __init__() missing 1 required positional argument: 'action_id'

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/defer/__init__.py", line 477, in _inline_callbacks
    result = gen.throw(result.type(result.value).with_traceback(result.traceback))
  File "/usr/lib/python3/dist-packages/UpdateManager/backend/InstallBackendAptdaemon.py", line 67, in update
    _("Checking for updates…"), False)
  File "/usr/local/lib/python3.6/dist-packages/defer/__init__.py", line 477, in _inline_callbacks
    result = gen.throw(result.type(result.value).with_traceback(result.traceback))
  File "/usr/lib/python3/dist-packages/UpdateManager/backend/InstallBackendAptdaemon.py", line 159, in _show_transaction
    yield trans.run()
dbus.exceptions.DBusException: org.freedesktop.DBus.Python.TypeError: Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/defer/__init__.py", line 477, in _inline_callbacks
    result = gen.throw(result.type(result.value).with_traceback(result.traceback))
  File "/usr/lib/python3/dist-packages/aptdaemon/core.py", line 913, in _run
    yield self._check_auth()
  File "/usr/local/lib/python3.6/dist-packages/defer/__init__.py", line 477, in _inline_callbacks
    result = gen.throw(result.type(result.value).with_traceback(result.traceback))
  File "/usr/lib/python3/dist-packages/aptdaemon/core.py", line 965, in _check_auth
    authorized = yield self._check_alternative_auth()
  File "/usr/local/lib/python3.6/dist-packages/defer/__init__.py", line 477, in _inline_callbacks
    result = gen.throw(result.type(result.value).with_traceback(result.traceback))
TypeError: __init__() missing 1 required positional argument: 'action_id'


During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/defer/__init__.py", line 390, in _next
    self.result = callback(self.result, *args, **kwargs)
  File "/usr/local/lib/python3.6/dist-packages/defer/__init__.py", line 535, in gotResult
    _inline_callbacks(res, gen, deferred)
  File "/usr/local/lib/python3.6/dist-packages/defer/__init__.py", line 525, in _inline_callbacks
    deferred.errback()
  File "/usr/local/lib/python3.6/dist-packages/defer/__init__.py", line 352, in errback
    self._next()
  File "/usr/local/lib/python3.6/dist-packages/defer/__init__.py", line 408, in _next
    self.result.traceback)
  File "/usr/lib/python3/dist-packages/apport_python_hook.py", line 98, in apport_excepthook
    pr['_PythonExceptionQualifier'] = name
  File "/usr/lib/python3/dist-packages/problem_report.py", line 652, in __setitem__
    raise TypeError("value for key %s must be a string, CompressedValue, or a file reference" % k)
TypeError: value for key _PythonExceptionQualifier must be a string, CompressedValue, or a file reference

It also happens when update-manager runs automatically on system start.

When I run update-manager with sudo then this error does not occur.

Version info:

szymon@sm:~$  update-manager --version
update-manager: version 1:17.10.11su

szymon@sm:~$ lsb_release -a
LSB Version:    core-9.20160110ubuntu5-amd64:core-9.20160110ubuntu5-noarch:printing-9.20160110ubuntu5-amd64:printing-9.20160110ubuntu5-noarch:security-9.20160110ubuntu5-amd64:security-9.20160110ubuntu5-noarch
Distributor ID: Ubuntu
Description:    Ubuntu 17.10
Release:    17.10
Codename:   artful

Actions performed so far:

  1. Reinstalled update-manager, python3-update-manager, update-manager-core, defer with synaptic.

Any other steps I can perform to fix that? Should update-manager use python3.6 by default?

EDIT 1: add pip3 list output

szymon@sm:~/Projects/aurelia/contact-manager$ pip3 list
DEPRECATION: The default format will switch to columns in the future. You can use --format=(legacy|columns) (or define a format=(legacy|columns) in your pip.conf under the [list] section) to disable this warning.
asn1crypto (0.23.0)
certifi (2017.4.17)
cffi (1.11.2)
chardet (3.0.4)
command-not-found (0.3)
configobj (5.0.6)
cryptography (2.1.4)
defer (1.0.4)
defusedxml (0.5.0)
distro-info (0.0.0)
future (0.16.0)
idna (2.5)
jira (1.0.10)
junitparser (1.0.0)
keyring (10.5.0)
oauthlib (2.0.1)
pbr (3.1.1)
pep8 (1.7.1)
pip (9.0.1)
pycparser (2.18)
python-debian (0.1.30)
requests (2.18.1)
requests-oauthlib (0.8.0)
requests-toolbelt (0.8.0)
SecretStorage (2.3.1)
setuptools (36.6.0)
six (1.10.0)
tabulate (0.8.2)
ubuntu-drivers-common (0.0.0)
unattended-upgrades (0.1)
urllib3 (1.21.1)
wheel (0.29.0)
  • 3
    Did you have played with pip3? It seems that you have mixed Python environment (you have /usr/local/lib/python3.6 and /usr/lib/python3). – N0rbert Jan 18 '18 at 9:23
  • Yes, some time ago I was doing some stuff over there and looks like screwed something up. Is it possible to fix that? I don't remember what I have exactly done. – szaman Jan 18 '18 at 9:42
  • 1
    Please update your question with output of pip3 list. – N0rbert Jan 18 '18 at 9:50
  • I have updated the question with pip3 list result. @N0rbert do you see any incorrect things in there? – szaman Jan 19 '18 at 6:08
2

It seems that problem is caused by defer package, update-manager has 15 messages about it.

Try to remove it with

sudo pip3 uninstall defer==1.0.4

And reinstall one from repository

sudo apt-get install --reinstall python3-defer
  • Yeey, looks like that helped. Thank you very much :) – szaman Jan 19 '18 at 10:01

Your Answer

By clicking "Post Your Answer", you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.